Skip site navigation (1) Skip section navigation (2)

Re: error on start

From: Devrim GUNDUZ <devrim(at)gunduz(dot)org>
To: Jodi Kanter <jkanter(at)virginia(dot)edu>
Cc: Postgres Admin List <pgsql-admin(at)postgresql(dot)org>
Subject: Re: error on start
Date: 2004-11-17 17:13:46
Message-ID: Pine.LNX.4.61.0411171912400.18106@emo.org.tr (view raw or flat)
Thread:
Lists: pgsql-admin
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


Hi,

On Wed, 17 Nov 2004, Jodi Kanter wrote:

> Our Linux admin just upgraded our server to fedora Core 2 which apparently 
> upgraded postgres to version 7.4.2-1
>
> Now on trying to start the postgres server we get the following error:
>
> An old version of the database format was found.\nYou need to upgrade the
> data format before using PostgreSQL.\nSee (Your System's documentation
> directory)/postgresql-7.4/README.rpm-dist for more information.
>
> Can someone give me some insight into this please? The database was not 
> touched. Should it have been dumped and restored in upgrading from 7.3.4?

Yes. See:

http://developer.postgresql.org/docs/postgres/install-upgrading.html

- --
Devrim GUNDUZ 
devrim~gunduz.org				devrim.gunduz~linux.org.tr
 			http://www.tdmsoft.com
 			http://www.gunduz.org
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQFBm4bMtl86P3SPfQ4RAo3gAKDR+HeMOK/43NXKHC0bNT5URYyFWQCg6dH5
+eoFIx0rVEFUjwUrfEsqAAs=
=qP1r
-----END PGP SIGNATURE-----

In response to

pgsql-admin by date

Next:From: Taber, MarkDate: 2004-11-17 18:14:46
Subject: What is this phantom user 128?
Previous:From: Jodi KanterDate: 2004-11-17 17:10:00
Subject: error on start

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group